Bug 1731377 - NFStest depends on Python 2 [NEEDINFO]
Summary: NFStest depends on Python 2
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: NFStest
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alice Mitchell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-07-19 09:52 UTC by Lumír Balhar
Modified: 2022-06-08 11:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-08 06:22:30 UTC
Type: Bug
steved: needinfo? (ajmitchell)
pviktori: needinfo? (ajmitchell)


Attachments (Terms of Use)

Description Lumír Balhar 2019-07-19 09:52:32 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for NFStest's future. Specifically:

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

This bug is filed semi-automatically, and might not have all the context specific to NFStest.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Alice Mitchell 2019-07-19 10:12:08 UTC
Work is already in progress for this, I plan to submit the patches to Fedora once it is done, with the hope of it then being made available in EPEL as well.

Comment 2 Petr Viktorin 2019-07-19 10:30:52 UTC
Can you provide some pointers to where the work is tracked? Any ETA?

Comment 3 Lumír Balhar 2019-08-06 06:07:43 UTC
Could you please answer the last question?

Comment 4 Alice Mitchell 2019-08-09 19:11:24 UTC
The early changes I made were sent upstream but never accepted, so I have been working on completing the job in private, once I have a version which runs cleanly I will resubmit the patches upstream. I feel like I am maybe a couple of weeks close to finishing, but have no accurate way to gauge that. Sorry.

Comment 5 Steve Dickson 2019-08-09 20:07:59 UTC
(In reply to Alice Mitchell from comment #4)
> The early changes I made were sent upstream but never accepted, so I have
> been working on completing the job in private, once I have a version which
> runs cleanly I will resubmit the patches upstream. I feel like I am maybe a
> couple of weeks close to finishing, but have no accurate way to gauge that.
> Sorry.

So why was the changes not accepted? We could work on that...

Comment 6 Ben Cotton 2019-08-13 16:53:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 7 Ben Cotton 2019-08-13 17:13:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 8 Lumír Balhar 2019-08-19 11:35:59 UTC
The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, and nothing in Fedora uses it, you can retire it or just remove the Python 2 part from it (subpackage, module, bindings, etc.).

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 9 Ben Cotton 2020-11-03 15:20:41 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Petr Viktorin 2020-11-12 17:21:40 UTC
This is still the case on Rawhide.
Do you have any update?

Comment 11 Ben Cotton 2021-02-09 15:11:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 12 Petr Viktorin 2021-05-21 15:18:00 UTC
Is there any progress? Do you need any help?

NFStest is now one of 4 packages in Rawhide that require python2-setuptools. The other three are non-functional trac plugins.

Comment 13 Petr Viktorin 2021-05-21 15:27:18 UTC
Ah, I forgot python-psutil & -cairo, sorry. One of 6 packages.

Comment 14 Ben Cotton 2022-05-12 16:51:19 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 15 Ben Cotton 2022-06-08 06:22:30 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.